summaryrefslogtreecommitdiff
path: root/tests/tests/pbuilder
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2018-07-31 14:04:58 +0800
committerSean Whitton <spwhitton@spwhitton.name>2018-07-31 14:04:58 +0800
commit3c5614c2292cb2fa1c50915d18510f5c2c915b76 (patch)
tree37703aa7eda0ad83849308db586566c1f23d6fae /tests/tests/pbuilder
parente21dbf9b02e32aec335262b2999686c37f01ba00 (diff)
parentf052e1326357a6365a5eddbb985a5b1ef9b4fdb2 (diff)
Merge tag 'debian/6.2' into stretch-bpo
dgit release 6.2 for unstable (sid) [dgit] [dgit distro=debian] # gpg: Signature made Sun 29 Jul 2018 08:02:30 PM CST # gpg: using RSA key 559AE46C2D6B6D3265E7CBA1E3E3392348B50D39 # gpg: Can't check signature: No public key
Diffstat (limited to 'tests/tests/pbuilder')
-rwxr-xr-xtests/tests/pbuilder42
1 files changed, 42 insertions, 0 deletions
diff --git a/tests/tests/pbuilder b/tests/tests/pbuilder
new file mode 100755
index 0000000..2c9dbae
--- /dev/null
+++ b/tests/tests/pbuilder
@@ -0,0 +1,42 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+suitespecs+=' stable'
+
+t-buildproductsdir-config
+
+t-prep-newpackage example 1.0
+
+cd $p
+
+t-commit "make a commit" 1.1 stable
+
+t-tstunt pbuilder
+
+t-expect-fail "dgit: error: you asked for a builder but your debbuildopts didn't ask for any binaries -- is this really what you meant?" \
+t-dgit -v0 --pbuilder="$troot/pretend-pbuilder" pbuilder -S
+
+t-expect-fail "dgit: error: we must build a .dsc to pass to the builder but your debbuiltopts forbids the building of a source package; cannot continue" \
+t-dgit -v0 --pbuilder="$troot/pretend-pbuilder" pbuilder -b
+
+# it would be nice to try passing -g on the end of the following line
+# to confirm it gets massaged into -A, but the example package is
+# RC-buggy in that it doesn't build with -A ..
+t-dgit -v0 --pbuilder="$troot/pretend-pbuilder" pbuilder
+
+t-dgit -wgf push --new
+
+t-pushed-good master stable
+t-pushed-good-check-changes
+
+# check we actually built binaries
+t-push-included example_1.1_all.deb
+
+# this purpose of this is to check that the _source.changes that was
+# merged is the one that dgit made, not something pbuilder made (this
+# works because the -v$v in the above is handled by dgit and not
+# passed on to pbuilder)
+grep -F "example (1.0)" $changes_filename
+
+t-ok